package pack

import (
	"youngee_b_api/model/common_model"
	"youngee_b_api/model/http_model"

	"github.com/issue9/conv"
)

func HttpTaskLogisticsListRequestToCondition(req *http_model.TaskLogisticsListRequest) *common_model.TalentConditions {
	return &common_model.TalentConditions{
		ProjectId:       req.ProjectId,
		LogisticsStatus: conv.MustInt64(req.LogisticsStatus),
		StrategyId:      conv.MustInt64(req.StrategyId),
		// TaskId:           conv.MustString(req.TaskId),
		PlatformNickname: conv.MustString(req.PlatformNickname),
	}
}

func HttpSpecialProjectTaskRequestToCondition(req *http_model.GetSpecialLogisticListRequest) *common_model.TalentConditions {
	return &common_model.TalentConditions{
		//ProjectId:        req.ProjectId,
		LogisticsStatus:  conv.MustInt64(req.LogisticsStatus, 0),
		TaskId:           conv.MustString(req.TaskId, ""),
		PlatformNickname: conv.MustString(req.PlatformNickname, ""),
	}
}
